<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.10003
Name: ELGA CDA Dokument Laborbefund
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.10003-2012-01-07T000000">
   <title>ELGA CDA Dokument Laborbefund</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10003
Context: hl7:ClinicalDocument
Item: (CDALaborbefund)
-->

   <rule context="hl7:ClinicalDocument"
         id="tmp-r-374126c7-62a2-447c-9dc7-abe92c620cd4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(CDALaborbefund): Der Wert von @classCode MUSS 'DOCCLIN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(CDALaborbefund): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(CDALaborbefund): Element hl7:realmCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="count(hl7:realmCode)&lt;=1">(CDALaborbefund): Element hl7:realmCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(CDALaborbefund): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(CDALaborbefund): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.1']/@nullFlavor)">(CDALaborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&lt;=1">(CDALaborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.4']/@nullFlavor)">(CDALaborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3']/@nullFlavor)">(CDALaborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.0.1' or @root='1.2.40.0.34.11.4.0.2' or @root='1.2.40.0.34.11.4.0.3'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.4.0.1' or @root='1.2.40.0.34.11.4.0.2' or @root='1.2.40.0.34.11.4.0.3']/@nullFlavor)">(CDALaborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4.0.1' or @root='1.2.40.0.34.11.4.0.2' or @root='1.2.40.0.34.11.4.0.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.0.1' or @root='1.2.40.0.34.11.4.0.2' or @root='1.2.40.0.34.11.4.0.3'])&lt;=1">(CDALaborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4.0.1' or @root='1.2.40.0.34.11.4.0.2' or @root='1.2.40.0.34.11.4.0.3'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:realmCode
Item: (FirstCDAHeaderElements)
-->

   <rule context="hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-r-2c613cd7-3187-46df-a60b-b71e6786e7ee">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.40.0.34.10.3-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(FirstCDAHeaderElements): Der Wert von code MUSS gewählt werden aus Value Set 'ELGA_RealmCode' (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (FirstCDAHeaderElements)
-->

   <rule context="hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-21a1a4f5-33f6-486e-9caf-184741b5ca72">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(FirstCDAHeaderElements): @root MUSS den Wert '2.16.840.1.113883.1.3' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@extension)='POCD_HD000040'">(FirstCDAHeaderElements): Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']
Item: (FirstCDAHeaderElements)
-->

   <rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']"
         id="tmp-r-fb899a61-240a-4263-ab89-62901155a940">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1'">(FirstCDAHeaderElements): @root MUSS den Wert '1.2.40.0.34.11.1' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10003
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.4']
Item: (CDALaborbefund)
-->

   <rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.4']"
         id="tmp-r-d319ecb3-aacf-4f89-b65e-78d75bbc690b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDALaborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="string(@root)='1.2.40.0.34.11.4'">(CDALaborbefund): @root MUSS den Wert '1.2.40.0.34.11.4' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10003
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3']
Item: (CDALaborbefund)
-->

   <rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3']"
         id="tmp-r-db00d5eb-94d9-4c84-ab99-3bc9425230d2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDALaborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3'">(CDALaborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10003
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.4.0.1' or @root='1.2.40.0.34.11.4.0.2' or @root='1.2.40.0.34.11.4.0.3']
Item: (CDALaborbefund)
-->

   <rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.4.0.1' or @root='1.2.40.0.34.11.4.0.2' or @root='1.2.40.0.34.11.4.0.3']"
         id="tmp-r-8d92afe0-70f2-4766-b469-bb4ae907807f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDALaborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10003-2012-01-07T000000.html"
              test="string(@root)='1.2.40.0.34.11.4.0.1' or string(@root)='1.2.40.0.34.11.4.0.2' or string(@root)='1.2.40.0.34.11.4.0.3'">(CDALaborbefund): @root MUSS den Wert '1.2.40.0.34.11.4.0.1|1.2.40.0.34.11.4.0.2|1.2.40.0.34.11.4.0.3' haben.</assert>
   </rule>
</pattern>
