<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.10004
Name: ELGA CDA Dokument Befund Bildgebende Diagnostik
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.10004-2013-10-16T000000">
   <title>ELGA CDA Dokument Befund Bildgebende Diagnostik</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10004
Context: hl7:ClinicalDocument
Item: (CDABildiag)
-->

   <rule context="hl7:ClinicalDocument"
         id="tmp-r-551d666b-396d-45ee-9c9b-4fe9c4ba8d89">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(CDABildiag): Der Wert von @classCode MUSS 'DOCCLIN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(CDABildiag): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(CDABildiag): Element hl7:realmCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:realmCode)&lt;=1">(CDABildiag): Element hl7:realmCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(CDABildiag): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(CDABildiag): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.1']/@nullFlavor)">(CDABildiag): Element hl7:templateId[@root='1.2.40.0.34.11.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&lt;=1">(CDABildiag): Element hl7:templateId[@root='1.2.40.0.34.11.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5'])&gt;=1 ">(CDABildiag): Element hl7:templateId[@root='1.2.40.0.34.11.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5'])&lt;=1">(CDABildiag): Element hl7:templateId[@root='1.2.40.0.34.11.5'] kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:templateId[@root='1.2.40.0.34.11.5.0.1']|hl7:templateId[@root='1.2.40.0.34.11.5.0.3'])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="$elmcount&lt;=1">(CDABildiag): Auswahl (hl7:templateId[@root='1.2.40.0.34.11.5.0.1'] oder hl7:templateId[@root='1.2.40.0.34.11.5.0.3']) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDABildiag): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:id)&lt;=1">(CDABildiag): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(CDABildiag): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(CDABildiag): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(CDABildiag): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:title)&lt;=1">(CDABildiag): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(CDABildiag): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDABildiag): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(CDABildiag): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(CDABildiag): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&gt;=1 and not(hl7:languageCode[@code='de-AT']/@nullFlavor)">(CDABildiag): Element hl7:languageCode[@code='de-AT'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&lt;=1">(CDABildiag): Element hl7:languageCode[@code='de-AT'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(CDABildiag): Element hl7:setId ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:setId)&lt;=1">(CDABildiag): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(CDABildiag): Element hl7:versionNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDABildiag): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(CDABildiag): Element hl7:recordTarget ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(CDABildiag): Element hl7:recordTarget kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(CDABildiag): Element hl7:author ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:dataEnterer)&lt;=1">(CDABildiag): Element hl7:dataEnterer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(CDABildiag): Element hl7:custodian ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:custodian)&lt;=1">(CDABildiag): Element hl7:custodian kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 and not(hl7:legalAuthenticator/@nullFlavor)">(CDABildiag): Element hl7:legalAuthenticator ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(CDABildiag): Element hl7:legalAuthenticator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']])&gt;=1 and not(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]/@nullFlavor)">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']])&lt;=1">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']])&lt;=1">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']])&lt;=1">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']])&lt;=1">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]])&gt;=1 and not(hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/@nullFlavor)">(CDABildiag): Element hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:relatedDocument)&lt;=1">(CDABildiag): Element hl7:relatedDocument kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:authorization)=0">(CDABildiag): Element hl7:authorization DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]])&lt;=1">(CDABildiag): Element hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:realmCode
Item: (FirstCDAHeaderElements)
-->

   <rule context="hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-r-4a785157-141b-4722-a3b8-3a672bd9fdf3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.40.0.34.10.3-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(FirstCDAHeaderElements): Der Wert von code MUSS gewählt werden aus Value Set 'ELGA_RealmCode' (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (FirstCDAHeaderElements)
-->

   <rule context="hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-10840827-b0b4-4228-a0c0-80d30e041597">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(FirstCDAHeaderElements): @root MUSS den Wert '2.16.840.1.113883.1.3' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@extension)='POCD_HD000040'">(FirstCDAHeaderElements): Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']
Item: (FirstCDAHeaderElements)
-->

   <rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']"
         id="tmp-r-42de1cf3-29c1-4d36-96c3-890616495f78">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1'">(FirstCDAHeaderElements): @root MUSS den Wert '1.2.40.0.34.11.1' haben.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="hl7:ClinicalDocument/*[not(self::hl7:realmCode|self::hl7:typeId[@root='2.16.840.1.113883.1.3']|self::hl7:templateId[@root='1.2.40.0.34.11.1']|self::hl7:templateId[@root='1.2.40.0.34.11.5']|self::hl7:templateId[@root='1.2.40.0.34.11.5.0.1']|self::hl7:templateId[@root='1.2.40.0.34.11.5.0.3']|self::hl7:id|self::hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]|self::hl7:title|self::hl7:effectiveTime|self::hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]|self::hl7:languageCode[@code='de-AT']|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget|self::hl7:author|self::hl7:dataEnterer|self::hl7:custodian|self::hl7:informationRecipient|self::hl7:legalAuthenticator|self::hl7:authenticator|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.4']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']]|self::hl7:inFulfillmentOf|self::hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]|self::hl7:relatedDocument|self::hl7:authorization|self::hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]|self::hl7:component)]"
         id="tmp-r-551d666b-396d-45ee-9c9b-4fe9c4ba8d89">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="not(.)">(CDABildiag): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5']|self::hl7:templateId[@root='1.2.40.0.34.11.5.0.1']|self::hl7:templateId[@root='1.2.40.0.34.11.5.0.3']|self::hl7:id|self::hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]|self::hl7:title|self::hl7:effectiveTime|self::hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]|self::hl7:languageCode[@code='de-AT']|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget|self::hl7:author|self::hl7:dataEnterer|self::hl7:custodian|self::hl7:informationRecipient|self::hl7:legalAuthenticator|self::hl7:authenticator|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.4']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']]|self::hl7:inFulfillmentOf|self::hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]|self::hl7:relatedDocument|self::hl7:authorization|self::hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]|self::hl7:component)]"
         id="tmp-r-c003f895-532d-4947-8c92-880c78f3c7b9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:recordTarget/*[not(self::hl7:patientRole)]"
         id="tmp-r-9d718b19-ea8a-4947-92c9-2e1ae83871ea">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:recordTarget/hl7:patientRole/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:patient)]"
         id="tmp-r-90e831b0-9c37-4eb7-b03c-742042026925">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:recordTarget/hl7:patientRole/hl7:addr/*[not(self::hl7:streetAddressLine|self::hl7:streetName|self::hl7:houseNumber|self::hl7:postalCode|self::hl7:city|self::hl7:state|self::hl7:country|self::hl7:additionalLocator)]"
         id="tmp-r-b50d8e3a-b342-4fee-acf5-1c5ec42d911b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:recordTarget/hl7:patientRole/hl7:patient/*[not(self::hl7:name|self::hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.4-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.4-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]|self::hl7:birthTime|self::hl7:maritalStatusCode|self::hl7:religiousAffiliationCode|self::hl7:raceCode|self::hl7:ethnicGroupCode|self::hl7:guardian|self::hl7:birthplace)]"
         id="tmp-r-99d48b2f-9ae3-4e10-b332-b1ad71594aa3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/*[not(self::hl7:prefix|self::hl7:given|self::hl7:family|self::hl7:suffix)]"
         id="tmp-r-010768df-358b-46d2-9523-da3bcfd23499">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/*[not(self::hl7:addr|self::hl7:telecom|self::hl7:guardianPerson|self::hl7:guardianOrganization)]"
         id="tmp-r-8d30e8fe-691b-4a72-8296-a9b8ff0bfaad">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/*[not(self::hl7:name)]"
         id="tmp-r-14eb37c6-88cf-40c9-b5be-8d5418fb49c2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/*[not(self::hl7:name)]"
         id="tmp-r-ff6b3996-3136-4f73-ac1c-428d55161de1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/*[not(self::hl7:place)]"
         id="tmp-r-fe662248-e8cb-478c-9514-ad6ada5d8ceb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/*[not(self::hl7:addr)]"
         id="tmp-r-2f4d597c-38a7-430e-b796-d414144612a4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:author/*[not(self::hl7:functionCode|self::hl7:time|self::hl7:assignedAuthor)]"
         id="tmp-r-6fdebe2c-9115-436f-8ea4-3d7227438fb3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:author/hl7:assignedAuthor/*[not(self::hl7:id|self::hl7:code|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:assignedAuthoringDevice|self::hl7:representedOrganization)]"
         id="tmp-r-8c7a6309-0f14-4077-b0e3-73cf67cecfa2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-00209046-d03f-4edb-b756-f55dba054804">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/*[not(self::hl7:manufacturerModelName|self::hl7:softwareName)]"
         id="tmp-r-f1124eb8-30d9-4104-8cc1-d5408fd874c8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-666251a3-9d65-4fa0-bf5b-94759a338f34">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:dataEnterer/*[not(self::hl7:time|self::hl7:assignedEntity)]"
         id="tmp-r-98cf494f-3d0b-43b7-aa24-d9099d902f3c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20003-2013-02-10T000000.html"
              test="not(.)">(HeaderDataEnterer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:dataEnterer/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-61492b5a-e339-4d4d-9147-628b055b541b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20003-2013-02-10T000000.html"
              test="not(.)">(HeaderDataEnterer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:dataEnterer/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-afead2d9-3705-479a-8610-7a48384b7b38">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-25c61e9e-84ea-4088-84b6-770280c33ead">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:custodian/*[not(self::hl7:assignedCustodian)]"
         id="tmp-r-521b4667-db1e-4845-b313-af093cfec50a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="not(.)">(HeaderCustodian): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:custodian/hl7:assignedCustodian/*[not(self::hl7:representedCustodianOrganization)]"
         id="tmp-r-7c3044fd-09d6-4bec-b6e8-49856523f9fe">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="not(.)">(HeaderCustodian): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-e499a022-64ba-4f79-bba5-36eed345886f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="not(.)">(HeaderCustodian): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:informationRecipient/*[not(self::hl7:intendedRecipient)]"
         id="tmp-r-bac781a2-5e7e-4554-a44f-71a3f3d55621">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20005-2011-12-19T000000.html"
              test="not(.)">(HeaderInformationRecipient): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:informationRecipient/hl7:intendedRecipient/*[not(self::hl7:id|self::hl7:informationRecipient|self::hl7:receivedOrganization)]"
         id="tmp-r-6e34c5f8-7ce2-414e-8f3f-119e2d7b01ab">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20005-2011-12-19T000000.html"
              test="not(.)">(HeaderInformationRecipient): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/*[not(self::hl7:name)]"
         id="tmp-r-40a46a8b-9871-4740-906b-48bda721433a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20005-2011-12-19T000000.html"
              test="not(.)">(HeaderInformationRecipient): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-66eead13-632b-412d-bb73-8d226fe6f1a8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20005-2011-12-19T000000.html"
              test="not(.)">(HeaderInformationRecipient): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:legalAuthenticator/*[not(self::hl7:time|self::hl7:signatureCode[@code='S']|self::hl7:assignedEntity)]"
         id="tmp-r-ba20196d-58a6-48ae-9e6f-e4d8e75fc8b0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="not(.)">(HeaderLegalAuthenticator): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:legalAuthenticator/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-691ff0be-79a6-41a5-87a9-6605abf28193">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="not(.)">(HeaderLegalAuthenticator): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-3d20dc9f-9ce7-4085-a450-93babb13e0e8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-c0752cdc-66ae-4671-a172-72f3c0842783">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:authenticator/*[not(self::hl7:time|self::hl7:signatureCode[@code='S']|self::hl7:assignedEntity)]"
         id="tmp-r-b370793a-144a-4d83-89c2-f867c8620f03">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20007-2011-12-19T000000.html"
              test="not(.)">(HeaderAuthenticator): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:authenticator/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-84953121-fe5e-47bf-8b48-77bc24b5e75d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20007-2011-12-19T000000.html"
              test="not(.)">(HeaderAuthenticator): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-43e154f3-9e1d-4a49-8e83-41e0dc98755b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-0716ffd7-f613-4df8-9685-7437e90e98d1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.1.1']|self::hl7:associatedEntity)]"
         id="tmp-r-86019c82-d9a1-45a8-aa8c-887ebe8c543e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.1-2014-03-25T000000.html"
              test="not(.)">(HeaderParticipantAnsprechpartner): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]/hl7:associatedEntity/*[not(self::hl7:addr|self::hl7:telecom|self::hl7:associatedPerson|self::hl7:scopingOrganization)]"
         id="tmp-r-371cde10-0100-4f31-bfdc-cd8798f61513">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.1-2014-03-25T000000.html"
              test="not(.)">(HeaderParticipantAnsprechpartner): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]/hl7:associatedEntity/hl7:associatedPerson/*[not(self::hl7:name)]"
         id="tmp-r-ada0fe32-9c87-44b5-b7ff-fc0c8e44314e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.1-2014-03-25T000000.html"
              test="not(.)">(HeaderParticipantAnsprechpartner): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]/hl7:associatedEntity/hl7:scopingOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-284c4e30-9205-43f5-8169-e3becec44209">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.1-2014-03-25T000000.html"
              test="not(.)">(HeaderParticipantAnsprechpartner): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.1.2']|self::hl7:associatedEntity)]"
         id="tmp-r-74ab5f0f-0fea-4c01-82d3-9594d94a464e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.2-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantRefArzt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']]/hl7:associatedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:associatedPerson|self::hl7:scopingOrganization)]"
         id="tmp-r-b85ca947-7219-40d5-829d-824db66b8a7a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.2-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantRefArzt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']]/hl7:associatedEntity/hl7:associatedPerson/*[not(self::hl7:name)]"
         id="tmp-r-6d0c837f-6fe2-4369-91d4-49c7bddfb81f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.2-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantRefArzt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']]/hl7:associatedEntity/hl7:scopingOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-f0aba282-92f6-4c73-9086-344d437627f8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.2-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantRefArzt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.1.3']|self::hl7:functionCode[(@code='PCP' and @codeSystem='2.16.840.1.113883.5.88')]|self::hl7:associatedEntity)]"
         id="tmp-r-40449e6b-e321-42ac-aaf5-46297ade520c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.3-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantHausarzt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']]/hl7:associatedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:associatedPerson|self::hl7:scopingOrganization)]"
         id="tmp-r-7565346b-2aba-45c5-b093-fe752ffe037d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.3-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantHausarzt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']]/hl7:associatedEntity/hl7:associatedPerson/*[not(self::hl7:name)]"
         id="tmp-r-e9a12c82-7d4b-4504-b0a1-28bf86493e61">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.3-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantHausarzt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']]/hl7:associatedEntity/hl7:scopingOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-35e46be4-dd6b-427b-ad51-d0dba2e1996d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.3-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantHausarzt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.4']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.1.4']|self::hl7:time|self::hl7:associatedEntity)]"
         id="tmp-r-9224e02c-ec32-4af9-b2f4-48f26340e948">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.4-2013-11-13T000000.html"
              test="not(.)">(HeaderParticipantNotfallkontakt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.4']]/hl7:associatedEntity/*[not(self::hl7:code|self::hl7:addr|self::hl7:telecom|self::hl7:associatedPerson|self::hl7:scopingOrganization)]"
         id="tmp-r-9f9804d0-f31a-4372-9220-406a3fb3e0c1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.4-2013-11-13T000000.html"
              test="not(.)">(HeaderParticipantNotfallkontakt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.4']]/hl7:associatedEntity/hl7:associatedPerson/*[not(self::hl7:name)]"
         id="tmp-r-2cb2b172-d1a1-4003-a522-f99bcfbf37c8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.4-2013-11-13T000000.html"
              test="not(.)">(HeaderParticipantNotfallkontakt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.4']]/hl7:associatedEntity/hl7:scopingOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-6e7365fc-2948-46e3-b319-55683429312f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.4-2013-11-13T000000.html"
              test="not(.)">(HeaderParticipantNotfallkontakt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.1.5']|self::hl7:associatedEntity)]"
         id="tmp-r-4f334d6f-0abe-4cca-98af-11b304c7f867">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.5-2013-11-13T000000.html"
              test="not(.)">(HeaderParticipantAngehoerige): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/*[not(self::hl7:code|self::hl7:addr|self::hl7:telecom|self::hl7:associatedPerson|self::hl7:scopingOrganization)]"
         id="tmp-r-578eb70a-c540-4226-a6ec-cf1f8e2c8034">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.5-2013-11-13T000000.html"
              test="not(.)">(HeaderParticipantAngehoerige): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:associatedPerson/*[not(self::hl7:name)]"
         id="tmp-r-95b6b1fa-bb02-4336-9a6e-fe3e9893bbe7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.5-2013-11-13T000000.html"
              test="not(.)">(HeaderParticipantAngehoerige): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:scopingOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-31968ca8-d691-43c6-b78e-dd934901ff36">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.5-2013-11-13T000000.html"
              test="not(.)">(HeaderParticipantAngehoerige): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.1.6']|self::hl7:time|self::hl7:associatedEntity)]"
         id="tmp-r-7fbaa4f8-c4a6-42e2-8a31-7e046e147f0e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.6-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantVersicherung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']]/hl7:associatedEntity/*[not(self::hl7:id[@root='1.2.40.0.10.1.4.3.1']|self::hl7:code|self::hl7:addr|self::hl7:telecom|self::hl7:associatedPerson|self::hl7:scopingOrganization)]"
         id="tmp-r-01aa0d40-1d58-4b58-9bc9-6efafba85bca">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.6-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantVersicherung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']]/hl7:associatedEntity/hl7:associatedPerson/*[not(self::hl7:name)]"
         id="tmp-r-bfd55ef7-4cd3-48ca-ae82-56b2e1e5c047">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.6-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantVersicherung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']]/hl7:associatedEntity/hl7:scopingOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-e399d495-391f-4c61-a989-e7f6d7142ae5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.6-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantVersicherung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.1.7']|self::hl7:associatedEntity)]"
         id="tmp-r-5130710a-efcf-49b4-a08f-bcd076afe84a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.7-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantBetreuorg): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']]/hl7:associatedEntity/*[not(self::hl7:scopingOrganization)]"
         id="tmp-r-c23d8dde-c10d-4555-be12-dc00003d19f8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.7-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantBetreuorg): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']]/hl7:associatedEntity/hl7:scopingOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-fdd6863a-b528-46c4-8578-b998fb5c9b76">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.1.7-2013-10-16T000000.html"
              test="not(.)">(HeaderParticipantBetreuorg): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:inFulfillmentOf/*[not(self::hl7:order)]"
         id="tmp-r-bda5c2b2-ef89-4548-bc49-1c44eb1fffe8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20009-2011-12-19T000000.html"
              test="not(.)">(HeaderInFulfillmentOf): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:inFulfillmentOf/hl7:order/*[not(self::hl7:id)]"
         id="tmp-r-8c009d4a-e5d8-4e69-a024-dd09507da514">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20009-2011-12-19T000000.html"
              test="not(.)">(HeaderInFulfillmentOf): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/*[not(self::hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']])]"
         id="tmp-r-38ecd36f-2d62-45b0-ac05-c3d96ad5dadd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/hl7:serviceEvent/*[not(self::hl7:code[@codeSystem='1.2.40.0.34.5.38']|self::hl7:effectiveTime|self::hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']])]"
         id="tmp-r-156c3973-613a-43b3-9aa0-0cfc143f4b55">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/hl7:serviceEvent/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-0b27a18c-0fe1-4a04-a3de-c4cc40eb2fe6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/hl7:serviceEvent/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])]"
         id="tmp-r-5e7f373b-5cfa-47fc-a973-35ba3371a053">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:relatedDocument/*[not(self::hl7:parentDocument)]"
         id="tmp-r-040e0f65-cb23-4ce5-8eed-423e83439bf8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20011-2011-12-19T000000.html"
              test="not(.)">(HeaderRelatedDocument): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:relatedDocument/hl7:parentDocument/*[not(self::hl7:id)]"
         id="tmp-r-d3e13263-c8c1-463c-85aa-0a1fa1c95724">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20011-2011-12-19T000000.html"
              test="not(.)">(HeaderRelatedDocument): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/*[not(self::hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]])]"
         id="tmp-r-c7a8dbae-5cee-409d-9baa-b598b7c72370">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20013-2011-12-19T000000.html"
              test="not(.)">(HeaderEncompassingEncounter): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/*[not(self::hl7:id|self::hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]|self::hl7:effectiveTime|self::hl7:responsibleParty|self::hl7:location)]"
         id="tmp-r-051e254e-026e-4763-95aa-7e531bded39d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20013-2011-12-19T000000.html"
              test="not(.)">(HeaderEncompassingEncounter): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-e93a3c6d-c363-4f34-96f2-8f4a0ba4b1a7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20013-2011-12-19T000000.html"
              test="not(.)">(HeaderEncompassingEncounter): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:responsibleParty/*[not(self::hl7:assignedEntity)]"
         id="tmp-r-9460433a-c4ba-4dbc-8994-727b63971fa6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20013-2011-12-19T000000.html"
              test="not(.)">(HeaderEncompassingEncounter): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:responsibleParty/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-d7b3002a-0ef5-4ef6-ab51-25e674fdb097">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.20013-2011-12-19T000000.html"
              test="not(.)">(HeaderEncompassingEncounter): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:responsibleParty/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-21bcdbf4-feb5-4b61-ac12-bc9524903de3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:responsibleParty/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-0fc99ba6-1632-4694-bf2b-4ffad62f6e64">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:location/*[not(self::hl7:healthCareFacility)]"
         id="tmp-r-5115619b-8baf-48e8-8f93-34e7e0611583">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.90006-2014-01-05T000000.html"
              test="not(.)">(EncounterLocation): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:location/hl7:healthCareFacility/*[not(self::hl7:serviceProviderOrganization)]"
         id="tmp-r-4ad0707e-d1c0-4577-a43e-098da1e5ce6d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.90006-2014-01-05T000000.html"
              test="not(.)">(EncounterLocation): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:componentOf[hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:encompassingEncounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-08413b18-ea07-4693-bf47-928d18e35684">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.90006-2014-01-05T000000.html"
              test="not(.)">(EncounterLocation): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/*[not(self::hl7:structuredBody)]"
         id="tmp-r-e783dd78-a3e7-49bc-9a30-2b576fe2e00c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/*[not(self::hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']]]|self::hl7:component[hl7:section[hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]]])]"
         id="tmp-r-f9f938ec-1bbf-49b2-bd20-97c421d12ed3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/*[not(self::hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']])]"
         id="tmp-r-cb1c14d9-2958-44dc-a2c3-4457118aabe7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']])]"
         id="tmp-r-5f3df4cf-9a78-493d-9148-622bdaa16a3e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']])]"
         id="tmp-r-6119c7fa-41c4-4b1a-a0d9-7d368c83fa28">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']])]"
         id="tmp-r-182c84e7-939b-447a-98b4-7987e4a521a5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']])]"
         id="tmp-r-61d9759d-6388-4872-942c-c9564ff4905d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']])]"
         id="tmp-r-1e1defde-15d9-441d-b03b-cd6cd027efa1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']])]"
         id="tmp-r-58f4533d-b067-4db9-a44a-350c8f91c4e9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']])]"
         id="tmp-r-3ba30c3f-c9e3-46b8-814c-75c6e11db730">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']])]"
         id="tmp-r-a0910faa-85c1-4fc7-918f-d3c73764a964">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']])]"
         id="tmp-r-e4756c11-e43d-4867-b585-7adff24b74ad">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']])]"
         id="tmp-r-f6d04024-354a-4041-9677-b49fe17013e4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']])]"
         id="tmp-r-593875cb-706a-4513-9eea-7d580472dce9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']])]"
         id="tmp-r-a22f831a-5333-419a-8a78-e65a591643e5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']])]"
         id="tmp-r-cf5c2d86-3af6-4088-b08e-58d2b7383bbe">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']])]"
         id="tmp-r-96005570-5723-4209-813b-0d2b7174f8aa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']])]"
         id="tmp-r-06c2f9d4-7275-43dc-af2a-60e8a3b34532">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]]]/*[not(self::hl7:section[hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]])]"
         id="tmp-r-1f573458-2fc7-4f5b-bd2f-464acd414964">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:section/*[not(self::hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-83114fa5-4ce8-40fe-b794-b9c2da982dcf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5-2014-03-25T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/*[not(self::hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']])]"
         id="tmp-r-55df0b55-60f6-483e-8d07-b6ffa2baa2c1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.1.1-2014-03-24T000000.html"
              test="not(.)">(DOCS): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']|self::hl7:code[(@code='121181' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]])]"
         id="tmp-r-893fa52a-9682-4695-b90e-5c8ce7c0c0bd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.1.1-2014-03-24T000000.html"
              test="not(.)">(DOCS): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']])]"
         id="tmp-r-149141c9-a512-471e-9419-680eec980c8f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.1.1-2014-03-24T000000.html"
              test="not(.)">(DOCS): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']])]"
         id="tmp-r-a30b5cbc-f9a9-42e4-9502-62d06ef488d1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="not(.)">(StudyAct): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']|self::hl7:id|self::hl7:code[(@code='113014' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:text|self::hl7:effectiveTime|self::hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]])]"
         id="tmp-r-ea0c3fa8-f17c-448d-8f06-3a1da4df8483">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="not(.)">(StudyAct): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/*[not(self::hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]])]"
         id="tmp-r-e0785d0f-1388-4bb5-8609-6327a85e086d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="not(.)">(StudyAct): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/*[not(self::hl7:id|self::hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:text|self::hl7:effectiveTime|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]])]"
         id="tmp-r-a18efbf6-c700-483c-9845-9881b6ae9a70">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="not(.)">(StudyAct): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:code/*[not(self::hl7:qualifier)]"
         id="tmp-r-63c95af9-8e38-4bed-b39c-130f6e469969">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="not(.)">(StudyAct): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:code/hl7:qualifier/*[not(self::hl7:name[(@code='121139' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:value[@codeSystem='1.2.840.10008.2.16.4'])]"
         id="tmp-r-93b44290-3c3a-4e19-8aa4-a89a90468a46">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="not(.)">(StudyAct): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]]/*[not(self::hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']])]"
         id="tmp-r-e520cd1b-4ee1-4ffd-86f4-a6b2439e58ca">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.2.6-2014-03-24T000000.html"
              test="not(.)">(StudyAct): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/*[not(self::hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']])]"
         id="tmp-r-7c3a2670-da88-4467-a636-d35509c2b4ac">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="not(.)">(SopInstance): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']|self::hl7:id|self::hl7:code[@codeSystem='1.2.840.10008.2.6.1']|self::hl7:text|self::hl7:effectiveTime)]"
         id="tmp-r-cd8fffd7-9a38-4a53-b0d0-6bba5393e9bd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="not(.)">(SopInstance): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-6bfb5923-8e3f-430c-a582-039c76912326">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="not(.)">(SopInstance): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']])]"
         id="tmp-r-8fe16877-bb08-4815-b35a-d964432a5a46">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="not(.)">(Brieftext): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.2.1']|self::hl7:code[(@code='BRIEFT' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]])]"
         id="tmp-r-e93ca9da-7804-4595-862b-d7579265e287">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="not(.)">(Brieftext): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]/hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]]/*[not(self::hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']])]"
         id="tmp-r-fe4528a5-8163-4066-90bd-61800444d4d5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="not(.)">(Brieftext): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/*[not(self::hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']])]"
         id="tmp-r-c890816d-fd22-4b0d-8452-dc4f9441662b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="not(.)">(LogoEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.3.2']|self::hl7:value)]"
         id="tmp-r-de1271ce-05bd-4a5d-b2e4-95b93ea46e01">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="not(.)">(LogoEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']])]"
         id="tmp-r-058b3bfe-8aa2-4843-ad2c-107e15824b04">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="not(.)">(Anforderung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.1']|self::hl7:code[(@code='55115-0' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-1db80bcc-01ef-4085-aa46-8711c6778ce3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="not(.)">(Anforderung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.2']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']])]"
         id="tmp-r-b257f67b-b469-48db-8586-cebd17859f94">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.2-2012-01-12T000000.html"
              test="not(.)">(AnamneseBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.2']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.2']|self::hl7:code[(@code='11329-0' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-fd44812b-861a-4e40-b389-2de96a90506d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.2-2012-01-12T000000.html"
              test="not(.)">(AnamneseBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']])]"
         id="tmp-r-7de54156-75d0-4d44-8156-25bd36c3df82">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.3-2012-01-12T000000.html"
              test="not(.)">(Indikation): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.3']|self::hl7:code[(@code='18785-6' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-54f328b9-0f3b-42cb-b037-3fd6c04e286f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.3-2012-01-12T000000.html"
              test="not(.)">(Indikation): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']])]"
         id="tmp-r-ce0c9ad1-2fa9-4a7f-8c03-117a5ccff636">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.4-2012-01-12T000000.html"
              test="not(.)">(PatientenStatusAngaben): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.4']|self::hl7:code[(@code='55108-5' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-598015a5-23ff-4fac-aa08-ffcc52d6a21d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.4-2012-01-12T000000.html"
              test="not(.)">(PatientenStatusAngaben): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.5']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']])]"
         id="tmp-r-6fdbeda8-df0a-45ef-9cc2-6115f2708de4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.5-2012-01-12T000000.html"
              test="not(.)">(AktuelleUntersuchung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.5']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.5']|self::hl7:code[(@code='55111-9' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-d0a1e0fe-1d34-460d-9154-842d18fb2f1d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.5-2012-01-12T000000.html"
              test="not(.)">(AktuelleUntersuchung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.6']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']])]"
         id="tmp-r-dcea28f5-3e1f-4992-a303-8da022eb9fad">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.6-2012-01-12T000000.html"
              test="not(.)">(FruehereUntersuchungen): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.6']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.6']|self::hl7:code[(@code='55114-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-f6f90c87-b5bd-4ab3-a6dc-7e928f7ff3d7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.6-2012-01-12T000000.html"
              test="not(.)">(FruehereUntersuchungen): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']])]"
         id="tmp-r-6ef156e8-6ead-40e8-8cfe-50f013f0199d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.7-2012-01-12T000000.html"
              test="not(.)">(FruehereBefunde): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.7']|self::hl7:code[(@code='18834-2' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-c18176c2-7a81-4c15-a9f0-10de166e7a3a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.7-2012-01-12T000000.html"
              test="not(.)">(FruehereBefunde): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.8']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']])]"
         id="tmp-r-59c397f4-7879-45fe-9908-ec34cfc325fa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.8-2012-01-12T000000.html"
              test="not(.)">(Komplikationen): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.8']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.8']|self::hl7:code[(@code='55109-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-61d673dd-99b1-4b06-a3ab-aa0488e1d9a8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.8-2012-01-12T000000.html"
              test="not(.)">(Komplikationen): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']])]"
         id="tmp-r-c398c7ab-fcde-4c15-b046-33752d503759">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="not(.)">(Befund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.9']|self::hl7:code[(@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12' or @root='1.2.40.0.34.11.5.3.2']]]|self::hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]])]"
         id="tmp-r-0261df98-537a-490c-8def-73e06309d46a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="not(.)">(Befund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12' or @root='1.2.40.0.34.11.5.3.2']]]/*[not(self::hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12' or @root='1.2.40.0.34.11.5.3.2']])]"
         id="tmp-r-cdf45b40-ede6-4690-bac1-72b53cfe006c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="not(.)">(Befund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']])]"
         id="tmp-r-7b00491a-8c42-48a5-8b15-a58913458b2f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="not(.)">(Befund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.2']]/*[not(self::hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12' or @root='1.2.40.0.34.11.5.3.2']])]"
         id="tmp-r-ba9677bc-3bc4-44e2-b1a4-bb0c8bb43afe">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.3.2-2014-03-24T000000.html"
              test="not(.)">(BefundtextKodierung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12' or @root='1.2.40.0.34.11.5.3.2']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']|self::hl7:templateId[@root='1.2.40.0.34.11.5.3.2']|self::hl7:code[(@code='121071' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:value)]"
         id="tmp-r-fc2c0d5b-c421-4ebd-9348-c0625c0a3f61">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.3.2-2014-03-24T000000.html"
              test="not(.)">(BefundtextKodierung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12' or @root='1.2.40.0.34.11.5.3.2']]/hl7:value/*[not(self::hl7:reference)]"
         id="tmp-r-97aac20a-6d54-4e3d-a38c-45ad398eb782">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.3.2-2014-03-24T000000.html"
              test="not(.)">(BefundtextKodierung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']])]"
         id="tmp-r-b12db084-725c-40ee-b1da-bbb36c285050">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.3.1-2014-03-24T000000.html"
              test="not(.)">(KlassifikationBIRADS): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.3.1']|self::hl7:code[(@code='36625-2' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:text|self::hl7:statusCode[@code='completed']|self::hl7:effectiveTime|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.55-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.55-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])]"
         id="tmp-r-d03e1dcf-5ee8-4633-9134-b9021a074ea6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.3.1-2014-03-24T000000.html"
              test="not(.)">(KlassifikationBIRADS): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.40.0.34.11.5.3.1']]/hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-0c3fc184-184f-4ff0-bc25-c6b5fdf13fbc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.3.1-2014-03-24T000000.html"
              test="not(.)">(KlassifikationBIRADS): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.10']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']])]"
         id="tmp-r-04240c56-5634-49ae-83bd-d5e572dd8758">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.10-2012-01-12T000000.html"
              test="not(.)">(ZusammenfassungErgebnis): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.10']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.10']|self::hl7:code[(@code='55112-7' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-3b73d6e9-8d80-4188-af5e-beef9f0a3c69">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.10-2012-01-12T000000.html"
              test="not(.)">(ZusammenfassungErgebnis): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.11']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']])]"
         id="tmp-r-d1da7f54-b171-4310-a59b-e3290a0cea28">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.11-2012-01-12T000000.html"
              test="not(.)">(Verdachtsdiagnose): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.11']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.11']|self::hl7:code[(@code='19005-8' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-242da288-45f3-458e-886d-140e790739fa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.11-2012-01-12T000000.html"
              test="not(.)">(Verdachtsdiagnose): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.12']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']])]"
         id="tmp-r-f1846483-5f3f-4ae9-9230-611379d8cef1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.12-2012-01-12T000000.html"
              test="not(.)">(Schlussfolgerung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.12']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.12']|self::hl7:code[(@code='55110-1' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-ae057484-cdaf-451d-be42-8fa00852fcf5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.12-2012-01-12T000000.html"
              test="not(.)">(Schlussfolgerung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.13']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']])]"
         id="tmp-r-df2d8a67-cd84-4c21-876a-258265c3c94d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.13-2012-01-12T000000.html"
              test="not(.)">(Empfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.13']|self::hl7:code[(@code='18783-1' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-7f704fec-f6d8-467e-91fa-df7aa655dc29">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.13-2012-01-12T000000.html"
              test="not(.)">(Empfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.14']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']])]"
         id="tmp-r-237cb638-2808-4ce9-8053-ee4f3a5c5c5a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.14-2012-01-12T000000.html"
              test="not(.)">(Addendum): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.14']|self::hl7:code[(@code='55107-7' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-a3a5379e-78f7-41b6-8593-42eb3c02dd1e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.5.2.14-2012-01-12T000000.html"
              test="not(.)">(Addendum): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>
</pattern>
